# Glacier2::PermissionDeniedException

## Overview

### [ "preserve-slice" ] exception PermissionDeniedException

This exception is raised if a client is denied the ability to create a session with the router.

#### Used By

PermissionsVerifier::checkPermissions
Router::createSession
Router::createSessionFromSecureConnection
SSLPermissionsVerifier::authorize

#### See Also

Router::createSession
Router::createSessionFromSecureConnection

## Data Members

string reason;

  The reason why permission was denied.